Bug 7110 - Sometimes FileZilla fails to copy files (lstat issue in libfilezilla)
: Sometimes FileZilla fails to copy files (lstat issue in libfilezilla)
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-11 10:00 MSD by Andrey Bondrov
Modified: 2016-06-20 19:06 MSD (History)
2 users (show)

See Also:
RPM Package: libfilezilla
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2016-06-11 10:00:29 MSD
Sometimes FileZilla fails to copy files. In local files list view it does not show file size. It happens with very few files so it's hard to reproduce.

I investigated the bug and found that lstat in libfilezilla may fail with error "Value too large for defined data type".
Comment 1 Andrey Bondrov 2016-06-11 10:02:35 MSD
Advisory: "Fix issue with lstat (Value too large for defined data type)"

https://abf.rosalinux.ru/build_lists/2681506
https://abf.rosalinux.ru/build_lists/2681507

P.S. This bug may affect 32 bit systems only. But please both 32 and 64 bit FileZilla before/after libfilezilla update.
Comment 2 Vladimir Potapov 2016-06-16 20:09:56 MSD
The update is sent to expanded testing
***************************************
Comment 3 Vladimir Potapov 2016-06-20 18:22:46 MSD
libfilezilla-0.4.0.1-2
https://abf.rosalinux.ru/build_lists/2681506
https://abf.rosalinux.ru/build_lists/2681507
***************************** Advisory **************************
Fix issue with lstat (Value too large for defined data type)
*****************************************************************
QA Verified